> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# update home



## OpenAPI

````yaml /api-reference/openapi.json post /v1/homes/{id}/update
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/homes/{id}/update:
    post:
      tags:
        - homes
      summary: update home
      operationId: ClientHomeCompositeAuthController_updateHome_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateClientHomeDto'
            example:
              name: Updated home name
              solarSystemSizeKw: 6.4
              isNonNetMetered: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientHomeDto'
              example:
                id: ws_home_123456789
                createdAt: '2025-01-02T12:00:00.000Z'
                updatedAt: '2025-01-02T12:00:00.000Z'
                name: My home
                userId: user_123456789
                UtilityId: '12199'
                ratePlanId: 6915de25881cbc6041e4c7f1
                unstructuredAddress: null
                timezone: America/Los_Angeles
                country: US
                city: San Francisco
                zipcode: '94107'
                streetAddress: 123 Market St
                meterId: null
                meterIdSource: null
                energyMarketBiddingEnabled: true
                enabled: true
                carbonSignalIntensity: MEDIUM
                channelPartnerId: null
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    UpdateClientHomeDto:
      type: object
      properties: {}
    ClientHomeDto:
      type: object
      properties:
        id:
          type: string
        createdAt: {}
        updatedAt: {}
        name:
          type: string
          nullable: true
        userId:
          type: string
          nullable: true
        UtilityId:
          type: string
          nullable: true
        ratePlanId:
          type: string
          nullable: true
        unstructuredAddress:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        zipcode:
          type: string
          nullable: true
        streetAddress:
          type: string
          nullable: true
        meterId:
          type: string
          nullable: true
        meterIdSource:
          type: string
          nullable: true
        energyMarketBiddingEnabled:
          type: boolean
        enabled:
          type: boolean
          nullable: true
        carbonSignalIntensity:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
          x-enumNames:
            - LOW
            - MEDIUM
            - HIGH
        modalHome:
          type: boolean
        channelPartnerId:
          type: string
          nullable: true
      required:
        - id
        - createdAt
        - updatedAt
        - energyMarketBiddingEnabled
        - carbonSignalIntensity
        - modalHome
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````